#pragma once

#include <memory>

#include "MainApplication.h"
#include "AbstractDesktopApp.h"
#include "DesktopManager.h"

class GuiApplication : public AbstractDesktopApp, std::enable_shared_from_this<GuiApplication>
{

private:

	DesktopManagerPtr mDesktopManager;
	MainApplicationPtr mMainApplication;

public:

	GuiApplication();

	~GuiApplication();

	void SetMainApplication(MainApplicationPtr app);

	void Run();
};
