#include "Color.h"

Color::Color(unsigned r, unsigned g, unsigned b, double a)
	: mR(r),
	  mG(g),
	  mB(b),
	  mAlpha(a)
{

}

std::shared_ptr<Color> Color::Create(unsigned r, unsigned g, unsigned b,
		double a )
{
	return std::make_shared<Color>(r, g, b, a);
}

unsigned Color::GetR()
{
	return mR;
}

unsigned Color::GetG()
{
	return mG;
}

unsigned Color::GetB()
{
	return mB;
}

double Color::GetAlpha()
{
	return mAlpha;
}
