#pragma once
#include <memory>

class Color
{
	unsigned mR;
	unsigned mG;
	unsigned mB;
	double mAlpha;

public:

	Color(unsigned r, unsigned g, unsigned b, double a = 1.0);

	static std::shared_ptr<Color> Create(unsigned r, unsigned g, unsigned b, double a = 1.0);

	unsigned GetR();
	unsigned GetG();
	unsigned GetB();
	double GetAlpha();
};

using ColorPtr = std::shared_ptr<Color>;
