#pragma once

#include <memory>

#include "SqliteInterface.h"
#include "Database.h"

class DatabaseManager
{

	DatabasePtr mDatabase;
	SqliteInterfacePtr mDatabaseInterface;

public:

	DatabaseManager();

	~DatabaseManager();

	static std::shared_ptr<DatabaseManager> Create();

	void CreateDatabase(const std::string& path);

	void OnShutDown();
};

using DatabaseManagerPtr = std::shared_ptr<DatabaseManager>;
