#pragma once

#include <memory>

class UiEvent
{
public:

	enum class Type{
		Unknown,
		Paint,
		Mouse,
		Keyboard
	};

protected:
	UiEvent::Type mType;

public:

	UiEvent();

	virtual ~UiEvent();

	static std::shared_ptr<UiEvent> Create();

	Type GetType();
};
using UiEventPtr = std::shared_ptr<UiEvent>;
