#include "GeometryElement.h"

GeometryElement::GeometryElement()
	: mFillColor(Color::Create(255, 255, 255)),
	  mStrokeColor(Color::Create(0, 0, 0)),
	  mStrokeThickness(1),
	  mType(Type::Path)
{

}

ColorPtr GeometryElement::GetFillColor()
{
	return mFillColor;
}
ColorPtr GeometryElement::GetStrokeColor()
{
	return mStrokeColor;
}
unsigned GeometryElement::GetStrokeThickness()
{
	return mStrokeThickness;
}

void GeometryElement::SetFillColor(ColorPtr color)
{
	mFillColor = color;
}
void GeometryElement::SetStrokeColor(ColorPtr color)
{
	mStrokeColor = color;
}
void GeometryElement::SetStrokeThickness(unsigned thickness)
{
	mStrokeThickness = thickness;
}
