#include "XcbKeyboard.h"


XcbKeyboard::XcbKeyboard()
	: Keyboard()
{
	mKeyMap = {{24, "q"}, {25, "w"},
				{26, "e"}, {27, "r"},
				{28, "t"}, {29, "y"}, {30, "u"}, {31, "i"}, {32, "o"},
				{33, "p"}, {38, "a"}, {39, "s"}, {40, "d"}, {41, "f"},
				{42, "g"}, {43, "h"}, {44, "j"}, {45, "k"}, {46, "l"},
				{52, "z"}, {53, "x"}, {54, "c"}, {55, "v"}, {56, "b"},
				{57, "n"}, {58, "m"}};
}

std::shared_ptr<XcbKeyboard> XcbKeyboard::Create()
{
	return std::make_shared<XcbKeyboard>();
}

std::string XcbKeyboard::GetKeyString(KeyCode keyCode)
{
	return mKeyMap[keyCode];
}
