#pragma once

#include <string>

class HttpResponse
{

	std::string mHttpVersion;
	std::string mResponseCode;
	std::string mContentType;
	std::string mBody;

public:

	HttpResponse();

	~HttpResponse();

	void SetBody(const std::string& body);

	unsigned GetBodyLength();

	std::string GetHeaderString();

	std::string ToString();
};
