#pragma once

#include <memory>
#include <string>

class Database
{

	std::string mPath;

public:

	Database();

	~Database();

	static std::shared_ptr<Database> Create();

	void SetPath(const std::string& path);

	std::string GetPath();
};

using DatabasePtr = std::shared_ptr<Database>;
