#pragma once

#include <memory>
#include <string>

class Socket
{
	unsigned mPort;
	std::string mMessage;

public:

	Socket();

	~Socket();

	static std::shared_ptr<Socket> Create();

	void SetPort(unsigned port);

	unsigned GetPort();

	std::string GetMessage();

	void SetMessage(const std::string& message);
};

using SocketPtr = std::shared_ptr<Socket>;
