#pragma once

#include "Widget.h"

class Button : public Widget
{
private:
	std::string mLabel;

public:
	Button();

	void SetLabel(const std::string& text);

	static std::shared_ptr<Button> Create();

	void OnPaintEvent(PaintEventPtr event);

protected:

	void OnMyMouseEvent(MouseEventPtr event);
};

using ButtonPtr = std::shared_ptr<Button>;
