#pragma once

#include "Widget.h"

class Label : public Widget
{
private:

	std::string mLabel;

public:

	Label();

	void SetLabel(const std::string& text);

	static std::shared_ptr<Label> Create();

	void OnPaintEvent(PaintEventPtr event);
};

using LabelPtr = std::shared_ptr<Label>;
