#pragma once
#include <memory>

#include "../xml/xml-elements/XmlElement.h"

class HtmlElement : public XmlElement
{
	HtmlElement(const std::string& tagName);

	static std::unique_ptr<HtmlElement> CreateUnique(const std::string& tagName);
};

using HtmlElementUPtr = std::unique_ptr<HtmlElement>;
